メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
people
List organization people
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
    "totalItems": 1
  },
  "items": [
    {
      "id": 1,
      "primaryEmail": "foo@gmail.com",
      "displayName": "Yamaha Honda",
      "avatar": "avatar_url",
      "username": "foo",
      "type": "employee",
      "status": "suspended",
      "suspendedAt": "2021-07-13T19:15:40.000Z",
      "createdAt": "2021-07-13T19:15:40.000Z",
      "accounts": [
        {
          "serviceUniqueName": "github",
          "serviceName": "GitHub",
          "workspaceName": "mfi",
          "accountKey": "foo@mfi.com"
        }
      ]
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

limit
number

Limit the number of results returned. Maximum 200.

必須範囲: x <= 200
:

50

cursor
string

Cursor to paginate through results.

types
enum<string>[]

Filter results by type. Accepts multiple options.

利用可能なオプション:
employee,
guest,
system,
unknown
statuses
enum<string>[]

Filter results by status. Accepts multiple options.

利用可能なオプション:
active,
suspended,
on_leave
keyword
string

Filter results by username, email or displayName.

sortBy
enum<string>

Sort results by a specific field.

利用可能なオプション:
type,
nameOrAccountKey,
accountCount,
createdAt
sortOrder
enum<string>

Sort results in ascending or descending order. Defaults to ASC.

利用可能なオプション:
DESC,
ASC
includePeopleWithNoAccounts
boolean

By default, won't return people who have no SaaS accounts. This flag will override that behavior.

serviceIds
number[]

Filter people who own some specific SaaS accounts. Accepts multiple options.

:
[1, 2, 3]
status
enum<string>

Filter results by status. Note: please use statuses instead, this property is deprecated and will be removed in a future version.

利用可能なオプション:
active,
suspended,
on_leave

レスポンス

200 - application/json
meta
object
必須
items
object[]
必須
read-only
最終更新日 2026年7月10日